Description

Currently when the Idapweb.cgi binds the Idap server, it issue this command to start tls:
$ldap->start_tls( verify => 'none')

Is this command secure enough?

It seems verify can be 'none' | 'optional’ | 'require’.

In the line 814, it is #$ldap->start_tls( verify => 'require’,
#cafile => '/usr/share/ssl/Idapcerts/cacert.pem’);

But they were commented out.

History

#1 - 11/15/2013 09:06 AM - Matt Jones

No, it is not. That is a security bug, as it means that the SSL cert from the server may be invalid. For maximum security, it should be set to 'require’.

#2 - 12/19/2013 01:34 PM - ben leinfelder

- Target version set to 2.3.1

#3 - 12/19/2013 01:42 PM - ben leinfelder

- Status changed from New to Closed

Jing added 'require’ to the TLS calls in the Idapweb script so | believe we are good now. Also involved configuring the CA path correctly so it knows
how to verify the Idap server's identity.
